JUIC(1)

NAME
juic - The Qt Java UI Compiler

SYNOPSIS
juic [options] uifile

DESCRIPTION
Juic is the Qt Java UI Compiler. It generates Java code from a XML UI Description file. This XML UI Description file can be generated by Qt Designer, Qt's graphical UI designer. Juic is the Java equivalent for the C++ uic program. Juic generates Java code for the Qt UI Description File passed to it, and outputs it on standard output.

OPTIONS

-proc <xsltproc|xalan|saxon>
    Tells juic which xslt processor to use internally. Possible values are "xsltproc", "xalan", "saxon". The processor you specify must be available in the PATH or juic will give an error. The default is to use xsltproc if it's available, and use saxon otherwise.

-package <the.package.for.the.class>
    Tells juic to add the given package declaration to the generated java class.

-abstract <true|false>
    Tells juic whether or not to define slots as abstract.

-images <dir>
    Tells juic where to find the images used in the given ui file. Default is "images".

-os <unix|msdos|mac>
    Tells juic what newline style to use in the generated java file. Possible values are "unix", "msdos" and "mac", for UNIX, DOS and MacOS style newlines respectively.

AUTHOR
Marco Ladermann

SEE ALSO
uic(1)